# Myrioi

This application showcases MYRIOI on a regular display screen or on a head-mounted display(HMD) system.

Developed by:

AlloSphere Research Group

University of California, Santa Barbara

## Description

MYRIOI is an interactive, immersive, shared narrative that drives the further evolution of our AlloPortal/AlloLib instrument/environment for artistic/scientific content exploration. The AlloPortal seamlessly ties together projection-based multi-user VR with HMDs for the shared experience, full FOV unencumbered, projection-based VR, facilitating groups of people immersed in the same world, tied to HMDs for a shared embodied/dis-embodied experience, this world, involving further evolution of our hydrogen-like atom application. The evolution of our quantum mechanical system through the interactive/immersive composition MYRIOI facilitated the extension of AlloPortal to intricate SAR control for a robust multi-user shared experience, and expansion of FOV encompassing the environment.

This app was built using allolib, our open source, distributed multimedia framework. https://github.com/AlloSphere-Research-Group/allolib.

## How to view

### Windows
Double-click the myrioi-vr.exe applications. This application should run smoothly on >= intel i5. It might run well on older systems too, we would like yor feedback.

You can either view the piece on a regular display, or view it though the HMD.

If the application doesn't detect a connected HMD on the system, it will launch the regular display version automatically.

To view Myrioi on the HMD, you need to install SteamVR from https://www.steamvr.com/en/. You can use the hand-held controllers to navigate.

### macOS

Launch the app bundle.

### Linux

Please get in touch if you want to test the application on Linux. We can provide binraies upon request.

## Controls

### Keyboard & Mouse

Enter: Start Myrioi
Backspace: Stop and return to title screen
Escape: Toggle Fullscreen
Space: Reset Camera

Mouse: Click and drag to move the camera

### HTC Vive Controllers

Trigger: Start Myrioi
Application Menu Button: Stop and return to title screen
Grab Button: Reset Camera

Touchpad: Move forward/back/left/right based on the direction you're viewing

## Contact

Please let us know your experience or questions at:

https://groups.google.com/u/1/a/mat.ucsb.edu/g/allolib-users

(Sorry, you will need a google account for this...)

or at: allosphere-info@mat.ucsb.edu